summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /x11-wm/xpra
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'x11-wm/xpra')
-rw-r--r--x11-wm/xpra/Manifest6
-rw-r--r--x11-wm/xpra/files/xpra-0.10.1-prefix.patch30
-rw-r--r--x11-wm/xpra/files/xpra-0.10.12-launcher.patch10
-rw-r--r--x11-wm/xpra/files/xpra-0.12.0-prefix.patch27
-rw-r--r--x11-wm/xpra/files/xpra-0.13.1-ignore-gentoo-no-compile.patch11
-rw-r--r--x11-wm/xpra/files/xpra-0.14.0-prefix.patch27
-rw-r--r--x11-wm/xpra/files/xpra-0.15.0-prefix.patch27
-rw-r--r--x11-wm/xpra/files/xpra-0.7.1-ignore-gentoo-no-compile.patch11
-rw-r--r--x11-wm/xpra/metadata.xml23
-rw-r--r--x11-wm/xpra/xpra-0.11.6.ebuild105
-rw-r--r--x11-wm/xpra/xpra-0.12.7.ebuild105
-rw-r--r--x11-wm/xpra/xpra-0.13.9.ebuild106
-rw-r--r--x11-wm/xpra/xpra-0.14.27.ebuild121
-rw-r--r--x11-wm/xpra/xpra-0.15.3.ebuild115
-rw-r--r--x11-wm/xpra/xpra-0.15.4.ebuild115
15 files changed, 839 insertions, 0 deletions
diff --git a/x11-wm/xpra/Manifest b/x11-wm/xpra/Manifest
new file mode 100644
index 00000000000..7b45b4ff72b
--- /dev/null
+++ b/x11-wm/xpra/Manifest
@@ -0,0 +1,6 @@
+DIST xpra-0.11.6.tar.xz 928652 SHA256 8e67681bd6313049e2b452734459d65b16e8c08c6273abfccade91d868ce0aea SHA512 4d276d99bdb1c3f9c95e44720552e401d251511f6d90f7cc86cc655b0fd841b7a3fbc919dd091f67e50e2530abb5943c7af9b36477347b013efe58d55b87da30 WHIRLPOOL 5f44b2e850bf0a6d8ae4a25284d7b2adba3e0c50b1211e248472b1fa715ec907cf7e16724a2c89f7bed0e29cb7fd85e219d7aaf0e0b0a6b7daa160a6a1ab570a
+DIST xpra-0.12.7.tar.xz 982888 SHA256 906265da543d4346bfe5c17ea0848368e481c391fbb9583aefb37cafc3db6c32 SHA512 c144df93ba9ef004b8f2966fe7fdaa695342e91b5788e980860b82edd8f624c0dd2df6ad99860fc05e1b586db9223f59d3a04e338aea3bbec111b8abf17f70b1 WHIRLPOOL 139d9ffed14bda69ad3fd2eaf6d99c5d9d769740a5301d25959f192b36ac817cbb57295d03559f5fc7ea82f6613945c9bff19caf4fb63af0aaf910f1e421f172
+DIST xpra-0.13.9.tar.xz 1539976 SHA256 0d9a02c07bb500ad32e9c82d168d1b71d0f77ee070ca18fab0dc6cc2fc970104 SHA512 32d28df224ed6cc0cd4c0e51f58d81ce0a07de4cd09b142b7f09a9d023632e42ba1589f215d57d7e75e8922d0a1c023e0495b07f09aee3899f3cd6ae8de51ca0 WHIRLPOOL a401fa77e3404c6c1d748a02214c060df2078c199de1141c331251d7364028520f3408d99366c063a1fd64f8375037bfcbb89b0bced34477365512acfe69bb7b
+DIST xpra-0.14.27.tar.xz 1123504 SHA256 9d51d6e656a9afc6559ec4b671a706ba134257c8e6d909d2514a3ca653502efb SHA512 5f195b211b8e78091ba42661c08f367d66e2a34ebcea9e5df57f0408cf1c4232294d38692171abbfe7396a1da28b2cc4100252dc034872a278530c48282db5cf WHIRLPOOL b14d58cddd03093a598e99d69fb145a5a04347f48fc0ec0b0311efa7bc75f5a51be5db93a361032ead2e021d2c8ead13986a3bd7434108506bbc4b601556141b
+DIST xpra-0.15.3.tar.xz 1192372 SHA256 24a232d4d57626b05932086c97f20fbe5803ca649a1d71171e11400115c9e198 SHA512 194dcf97936ddecc8f2bd106275e6bf63334697be7b552eff54dcc152352bc92a4bd2ea0f69c56599085ca52fdcb1e4727156789d10a5a7c4ba380cdd8a0c256 WHIRLPOOL 6e04aa9ce38eea38a92c46b1af428e608b9eb2344e6199437b74089953b48ed5ef24a37f4ec315cc40eaeba4d244ab54b59ac6b369d833b1690877315cc36a1c
+DIST xpra-0.15.4.tar.xz 1194484 SHA256 29be80b8987dd131058aab0a1c8d456a7ac67ad56c54d2b5e72472ff003799a2 SHA512 3c0c3f9f5658fdb02d8c80efd5367c91cf771adf96d42f286e2079cb36b4446610e4e388bb7b241fa7704db4f621aac14959b04fe3466cf61b6a73d542971eb4 WHIRLPOOL 6646e889ea6a5e2eb1b6d0480b78f2ff3cf9c0ba5ccdca4531aa3b31e3f650f463a0da0d0013592586b2fc0c56d4a54385f4a38e921c7e62a4c706f6ad8b9d42
diff --git a/x11-wm/xpra/files/xpra-0.10.1-prefix.patch b/x11-wm/xpra/files/xpra-0.10.1-prefix.patch
new file mode 100644
index 00000000000..1e8e759abac
--- /dev/null
+++ b/x11-wm/xpra/files/xpra-0.10.1-prefix.patch
@@ -0,0 +1,30 @@
+Index: xpra-0.10.1/setup.py
+===================================================================
+--- xpra-0.10.1.orig/setup.py
++++ xpra-0.10.1/setup.py
+@@ -896,8 +896,8 @@ else:
+ return {}
+ if "install" in sys.argv:
+ #prepare default [/usr/local]/etc configuration files:
+- if sys.prefix == '/usr':
+- etc_prefix = '/etc/xpra'
++ if sys.prefix[-4:] == '/usr':
++ etc_prefix = sys.prefix[:-4] + '/etc/xpra'
+ else:
+ etc_prefix = sys.prefix + '/etc/xpra'
+
+Index: xpra-0.10.1/xpra/scripts/config.py
+===================================================================
+--- xpra-0.10.1.orig/xpra/scripts/config.py
++++ xpra-0.10.1/xpra/scripts/config.py
+@@ -344,8 +344,8 @@ def read_xpra_defaults():
+ #first, read the global defaults:
+ if sys.platform.startswith("win"):
+ conf_dir = os.path.dirname(os.path.abspath(sys.executable))
+- elif sys.prefix == '/usr':
+- conf_dir = '/etc/xpra'
++ elif sys.prefix[-4:] == '/usr':
++ conf_dir = sys.prefix[:-4] + '/etc/xpra'
+ else:
+ conf_dir = sys.prefix + '/etc/xpra/'
+ defaults = read_xpra_conf(conf_dir)
diff --git a/x11-wm/xpra/files/xpra-0.10.12-launcher.patch b/x11-wm/xpra/files/xpra-0.10.12-launcher.patch
new file mode 100644
index 00000000000..edd42a8e837
--- /dev/null
+++ b/x11-wm/xpra/files/xpra-0.10.12-launcher.patch
@@ -0,0 +1,10 @@
+--- src/xpra/client/gtk_base/client_launcher.py
++++ src/xpra/client/gtk_base/client_launcher.py
+@@ -18,5 +18,6 @@
+ import pygtk
+ pygtk.require('2.0')
+-import gtk.gdk
++import gtk
++from gtk import gdk
+ import gobject
+ gobject.threads_init()
diff --git a/x11-wm/xpra/files/xpra-0.12.0-prefix.patch b/x11-wm/xpra/files/xpra-0.12.0-prefix.patch
new file mode 100644
index 00000000000..cce5e9dbfac
--- /dev/null
+++ b/x11-wm/xpra/files/xpra-0.12.0-prefix.patch
@@ -0,0 +1,27 @@
+--- xpra-0.12.0/xpra/scripts/config.py
++++ xpra-0.12.0/xpra/scripts/config.py
+@@ -188,9 +188,9 @@
+ #OSX and win32 use binary installers,
+ #we must look for the default config in the bundled resource location:
+ conf_dir = get_resources_dir()
+- elif sys.prefix == '/usr':
++ elif sys.prefix[-4:] == '/usr':
+ #default posix config location:
+- conf_dir = '/etc/xpra'
++ conf_dir = sys.prefix[:-4] + '/etc/xpra'
+ else:
+ #hope the prefix is something like "/usr/local":
+ conf_dir = sys.prefix + '/etc/xpra/'
+--- xpra-0.12.0/setup.py
++++ xpra-0.12.0/setup.py
+@@ -990,8 +990,8 @@
+ return {}
+ if "install" in sys.argv:
+ #prepare default [/usr/local]/etc configuration files:
+- if sys.prefix == '/usr':
+- etc_prefix = '/etc/xpra'
++ if sys.prefix[-4:] == '/usr':
++ etc_prefix = sys.prefix[:-4] + '/etc/xpra'
+ else:
+ etc_prefix = sys.prefix + '/etc/xpra'
+
diff --git a/x11-wm/xpra/files/xpra-0.13.1-ignore-gentoo-no-compile.patch b/x11-wm/xpra/files/xpra-0.13.1-ignore-gentoo-no-compile.patch
new file mode 100644
index 00000000000..9c580a51355
--- /dev/null
+++ b/x11-wm/xpra/files/xpra-0.13.1-ignore-gentoo-no-compile.patch
@@ -0,0 +1,11 @@
+--- xpra-0.13.1/setup.py
++++ xpra-0.13.1/setup.py
+@@ -395,7 +395,7 @@
+ #then expects to find the cython modules!? ie:
+ #python2.7 setup.py build -b build-2.7 install --no-compile --root=/var/tmp/portage/x11-wm/xpra-0.7.0/temp/images/2.7
+ if "--no-compile" in sys.argv and not ("build" in sys.argv and "install" in sys.argv):
+- return
++ pass
+ cython_version_check(min_version)
+ from Cython.Distutils import build_ext
+ ext_modules.append(extension)
diff --git a/x11-wm/xpra/files/xpra-0.14.0-prefix.patch b/x11-wm/xpra/files/xpra-0.14.0-prefix.patch
new file mode 100644
index 00000000000..140abbbbbc0
--- /dev/null
+++ b/x11-wm/xpra/files/xpra-0.14.0-prefix.patch
@@ -0,0 +1,27 @@
+--- xpra-0.14.0/xpra/platform/paths.py
++++ xpra-0.14.0/xpra/platform/paths.py
+@@ -22,9 +22,9 @@
+
+ def get_system_conf_dir():
+ #the system wide configuration directory
+- if sys.prefix == '/usr':
++ if sys.prefix[-4:] == '/usr':
+ #default posix config location:
+- default_conf_dir = '/etc/xpra'
++ default_conf_dir = sys.prefix[:-4] + '/etc/xpra'
+ else:
+ #hope the prefix is something like "/usr/local":
+ default_conf_dir = sys.prefix + '/etc/xpra/'
+--- xpra-0.14.0/setup.py
++++ xpra-0.14.0/setup.py
+@@ -1470,8 +1470,8 @@
+ #prepare default [/usr/local]/etc configuration files:
+ if '--user' in sys.argv:
+ etc_prefix = 'etc/xpra'
+- elif sys.prefix == '/usr':
+- etc_prefix = '/etc/xpra'
++ elif sys.prefix[-4:] == '/usr':
++ etc_prefix = sys.prefix[:-4] + '/etc/xpra'
+ else:
+ etc_prefix = sys.prefix + '/etc/xpra'
+
diff --git a/x11-wm/xpra/files/xpra-0.15.0-prefix.patch b/x11-wm/xpra/files/xpra-0.15.0-prefix.patch
new file mode 100644
index 00000000000..32e8be80dd4
--- /dev/null
+++ b/x11-wm/xpra/files/xpra-0.15.0-prefix.patch
@@ -0,0 +1,27 @@
+--- xpra-0.15.0/setup.py
++++ xpra-0.15.0/setup.py
+@@ -1612,8 +1612,8 @@
+ #prepare default [/usr/local]/etc configuration files:
+ if '--user' in sys.argv:
+ etc_prefix = 'etc/xpra'
+- elif sys.prefix == '/usr':
+- etc_prefix = '/etc/xpra'
++ elif sys.prefix[-4:] == '/usr':
++ etc_prefix = sys.prefix[:-4] + '/etc/xpra'
+ else:
+ etc_prefix = sys.prefix + '/etc/xpra'
+
+--- xpra-0.15.0/xpra/platform/paths.py
++++ xpra-0.15.0/xpra/platform/paths.py
+@@ -30,9 +30,9 @@
+ return env_conf_dir
+ prefix = get_install_prefix()
+ #the system wide configuration directory
+- if prefix == '/usr':
++ if sys.prefix[-4:] == '/usr':
+ #default posix config location:
+- return '/etc/xpra'
++ return sys.prefix[:-4] + '/etc/xpra'
+ #hope the prefix is something like "/usr/local" or "$HOME/.local":
+ return prefix + '/etc/xpra/'
+
diff --git a/x11-wm/xpra/files/xpra-0.7.1-ignore-gentoo-no-compile.patch b/x11-wm/xpra/files/xpra-0.7.1-ignore-gentoo-no-compile.patch
new file mode 100644
index 00000000000..31d619daddc
--- /dev/null
+++ b/x11-wm/xpra/files/xpra-0.7.1-ignore-gentoo-no-compile.patch
@@ -0,0 +1,11 @@
+--- xpra-0.7.1/setup.py
++++ xpra-0.7.1/setup.py
+@@ -135,7 +135,7 @@
+ #then expects to find the cython modules!? ie:
+ #python2.7 setup.py build -b build-2.7 install --no-compile --root=/var/tmp/portage/x11-wm/xpra-0.7.0/temp/images/2.7
+ if "--no-compile" in sys.argv and not ("build" in sys.argv and "install" in sys.argv):
+- return
++ pass
+ global ext_modules, cmdclass
+ cython_version_check(min_version)
+ from Cython.Distutils import build_ext
diff --git a/x11-wm/xpra/metadata.xml b/x11-wm/xpra/metadata.xml
new file mode 100644
index 00000000000..e5c0aae227a
--- /dev/null
+++ b/x11-wm/xpra/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>xmw@gentoo.org</email>
+ <name>Michael Weber</name>
+</maintainer>
+<upstream>
+ <bugs-to>https://www.xpra.org/trac/report</bugs-to>
+</upstream>
+<use>
+ <flag name='client'>Build client-side code</flag>
+ <flag name='server'>Build server-side code</flag>
+ <flag name='clipboard'>Enable clipboard support</flag>
+ <flag name='rencode'>Enable rencode support</flag>
+ <flag name='vpx'>Enable vpx image format support</flag>
+ <flag name='webp'>Enable webp image format support</flag>
+ <flag name='csc'>Enable csc softscaler support</flag>
+ <flag name='dec_av'>Enable dec_avcodec support</flag>
+ <flag name='dec_av2'>Enable dec_avcodec2 support</flag>
+ <flag name='x265'>Enable x265 support</flag>
+</use>
+</pkgmetadata>
diff --git a/x11-wm/xpra/xpra-0.11.6.ebuild b/x11-wm/xpra/xpra-0.11.6.ebuild
new file mode 100644
index 00000000000..47ecf97d7d6
--- /dev/null
+++ b/x11-wm/xpra/xpra-0.11.6.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+inherit distutils-r1 eutils
+
+DESCRIPTION="X Persistent Remote Apps (xpra) and Partitioning WM (parti) based on wimpiggy"
+HOMEPAGE="http://xpra.org/ http://xpra.org/src/"
+SRC_URI="http://xpra.org/src/${P}.tar.xz"
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
+IUSE="+client +clipboard csc dec_av dec_av2 opengl pulseaudio +rencode server sound vpx webp x264"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ clipboard? ( || ( server client ) )
+ opengl? ( client )
+ || ( client server )"
+
+# x264/old-libav.path situation see bug 459218
+COMMON_DEPEND=""${PYTHON_DEPS}"
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ dev-python/pygtk:2[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libXtst
+ csc? ( || ( >=media-video/ffmpeg-1.2.2 media-video/libav ) )
+ dec_av? ( || ( >=media-video/ffmpeg-1.2.2 media-video/libav ) )
+ opengl? ( dev-python/pygtkglext )
+ pulseaudio? ( media-sound/pulseaudio )
+ sound? ( media-libs/gstreamer:0.10
+ media-libs/gst-plugins-base:0.10
+ dev-python/gst-python:0.10 )
+ vpx? ( media-libs/libvpx virtual/ffmpeg )
+ webp? ( media-libs/libwebp )
+ x264? ( media-libs/x264
+ || ( >=media-video/ffmpeg-1.0.4:0 media-video/libav ) )"
+
+RDEPEND="${COMMON_DEPEND}
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ virtual/python-imaging[${PYTHON_USEDEP}]
+ virtual/ssh
+ x11-apps/setxkbmap
+ x11-apps/xmodmap
+ server? ( x11-base/xorg-server[-minimal,xvfb]
+ x11-drivers/xf86-input-void
+ x11-drivers/xf86-video-dummy
+ )"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+ >=dev-python/cython-0.16[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ epatch \
+ "${FILESDIR}"/${PN}-0.7.1-ignore-gentoo-no-compile.patch \
+ "${FILESDIR}"/${PN}-0.10.1-prefix.patch
+
+ #assuming ffmpeg and libav mutual exclusive installs
+ if has_version "media-video/libav" ; then
+ if ! has_version ">=media-video/libav-9" ; then
+ epatch patches/old-libav.patch
+ fi
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ mydistutilsargs=(
+ $(use_with client)
+ $(use_with clipboard)
+ $(use_with csc csc_swscale)
+ $(use_with dec_av dec_avcodec)
+ $(use_with dec_av2 dec_avcodec2)
+ $(use_with opengl)
+ $(use_with rencode)
+ $(use_with server cymaths)
+ $(use_with server shadow)
+ $(use_with server)
+ $(use_with sound)
+ $(use_with vpx)
+ $(use_with webp)
+ $(use_with x264 enc_x264)
+ --with-Xdummy
+ --with-argb
+ --with-cyxor
+ --with-gtk2
+ --without-gtk3
+ --without-qt4
+ --with-strict
+ --with-warn
+ --with-x11
+ --without-PIC
+ --without-debug )
+}
diff --git a/x11-wm/xpra/xpra-0.12.7.ebuild b/x11-wm/xpra/xpra-0.12.7.ebuild
new file mode 100644
index 00000000000..80f5ca7fa58
--- /dev/null
+++ b/x11-wm/xpra/xpra-0.12.7.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+inherit distutils-r1 eutils
+
+DESCRIPTION="X Persistent Remote Apps (xpra) and Partitioning WM (parti) based on wimpiggy"
+HOMEPAGE="http://xpra.org/ http://xpra.org/src/"
+SRC_URI="http://xpra.org/src/${P}.tar.xz"
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+client +clipboard csc dec_av dec_av2 opengl pulseaudio +rencode server sound vpx webp x264"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ clipboard? ( || ( server client ) )
+ opengl? ( client )
+ || ( client server )"
+
+# x264/old-libav.path situation see bug 459218
+COMMON_DEPEND=""${PYTHON_DEPS}"
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ dev-python/pygtk:2[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libXtst
+ csc? ( || ( >=media-video/ffmpeg-1.2.2 media-video/libav ) )
+ dec_av? ( || ( >=media-video/ffmpeg-1.2.2 media-video/libav ) )
+ opengl? ( dev-python/pygtkglext )
+ pulseaudio? ( media-sound/pulseaudio )
+ sound? ( media-libs/gstreamer:0.10
+ media-libs/gst-plugins-base:0.10
+ dev-python/gst-python:0.10 )
+ vpx? ( media-libs/libvpx virtual/ffmpeg )
+ webp? ( media-libs/libwebp )
+ x264? ( media-libs/x264
+ || ( >=media-video/ffmpeg-1.0.4:0 media-video/libav ) )"
+
+RDEPEND="${COMMON_DEPEND}
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ virtual/python-imaging[${PYTHON_USEDEP}]
+ virtual/ssh
+ x11-apps/setxkbmap
+ x11-apps/xmodmap
+ server? ( x11-base/xorg-server[-minimal,xvfb]
+ x11-drivers/xf86-input-void
+ x11-drivers/xf86-video-dummy
+ )"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+ >=dev-python/cython-0.16[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ epatch \
+ "${FILESDIR}"/${PN}-0.7.1-ignore-gentoo-no-compile.patch \
+ "${FILESDIR}"/${PN}-0.12.0-prefix.patch
+
+ #assuming ffmpeg and libav mutual exclusive installs
+ if has_version "media-video/libav" ; then
+ if ! has_version ">=media-video/libav-9" ; then
+ epatch patches/old-libav.patch
+ fi
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ mydistutilsargs=(
+ $(use_with client)
+ $(use_with clipboard)
+ $(use_with csc csc_swscale)
+ $(use_with dec_av dec_avcodec)
+ $(use_with dec_av2 dec_avcodec2)
+ $(use_with opengl)
+ $(use_with rencode)
+ $(use_with server cymaths)
+ $(use_with server shadow)
+ $(use_with server)
+ $(use_with sound)
+ $(use_with vpx)
+ $(use_with webp)
+ $(use_with x264 enc_x264)
+ --with-Xdummy
+ --with-argb
+ --with-cyxor
+ --with-gtk2
+ --without-gtk3
+ --without-qt4
+ --with-strict
+ --with-warn
+ --with-x11
+ --without-PIC
+ --without-debug )
+}
diff --git a/x11-wm/xpra/xpra-0.13.9.ebuild b/x11-wm/xpra/xpra-0.13.9.ebuild
new file mode 100644
index 00000000000..950e825eb6a
--- /dev/null
+++ b/x11-wm/xpra/xpra-0.13.9.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+# PyCObject_Check and PyCObject_AsVoidPtr vanished with python 3.3, and setup.py not python3.2 copmat
+PYTHON_COMPAT=( python2_7 )
+inherit distutils-r1 eutils
+
+DESCRIPTION="X Persistent Remote Apps (xpra) and Partitioning WM (parti) based on wimpiggy"
+HOMEPAGE="http://xpra.org/ http://xpra.org/src/"
+SRC_URI="http://xpra.org/src/${P}.tar.xz"
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+client +clipboard csc dec_av dec_av2 opengl pulseaudio +rencode server sound vpx webp x264"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ clipboard? ( || ( server client ) )
+ opengl? ( client )
+ || ( client server )"
+
+# x264/old-libav.path situation see bug 459218
+COMMON_DEPEND=""${PYTHON_DEPS}"
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ dev-python/pygtk:2[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libXtst
+ csc? ( || ( >=media-video/ffmpeg-1.2.2 media-video/libav ) )
+ dec_av? ( || ( >=media-video/ffmpeg-1.2.2 media-video/libav ) )
+ opengl? ( dev-python/pygtkglext )
+ pulseaudio? ( media-sound/pulseaudio )
+ sound? ( media-libs/gstreamer:0.10
+ media-libs/gst-plugins-base:0.10
+ dev-python/gst-python:0.10 )
+ vpx? ( media-libs/libvpx virtual/ffmpeg )
+ webp? ( media-libs/libwebp )
+ x264? ( media-libs/x264
+ || ( >=media-video/ffmpeg-1.0.4:0 media-video/libav ) )"
+
+RDEPEND="${COMMON_DEPEND}
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ virtual/python-imaging[${PYTHON_USEDEP}]
+ virtual/ssh
+ x11-apps/setxkbmap
+ x11-apps/xmodmap
+ server? ( x11-base/xorg-server[-minimal,xvfb]
+ x11-drivers/xf86-input-void
+ x11-drivers/xf86-video-dummy
+ )"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+ >=dev-python/cython-0.16[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ epatch \
+ "${FILESDIR}"/${PN}-0.13.1-ignore-gentoo-no-compile.patch \
+ "${FILESDIR}"/${PN}-0.12.0-prefix.patch
+
+ #assuming ffmpeg and libav mutual exclusive installs
+ if has_version "media-video/libav" ; then
+ if ! has_version ">=media-video/libav-9" ; then
+ epatch patches/old-libav.patch
+ fi
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ mydistutilsargs=(
+ $(use_with client)
+ $(use_with clipboard)
+ $(use_with csc csc_swscale)
+ $(use_with dec_av dec_avcodec)
+ $(use_with dec_av2 dec_avcodec2)
+ $(use_with opengl)
+ $(use_with rencode)
+ $(use_with server cymaths)
+ $(use_with server shadow)
+ $(use_with server)
+ $(use_with sound)
+ $(use_with vpx)
+ $(use_with webp)
+ $(use_with x264 enc_x264)
+ --with-Xdummy
+ --with-argb
+ --with-cyxor
+ --with-gtk2
+ --without-gtk3
+ --without-qt4
+ --with-strict
+ --with-warn
+ --with-x11
+ --without-PIC
+ --without-debug )
+}
diff --git a/x11-wm/xpra/xpra-0.14.27.ebuild b/x11-wm/xpra/xpra-0.14.27.ebuild
new file mode 100644
index 00000000000..d35948c5ced
--- /dev/null
+++ b/x11-wm/xpra/xpra-0.14.27.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+EAPI=5
+
+# PyCObject_Check and PyCObject_AsVoidPtr vanished with python 3.3, and setup.py not python3.2 copmat
+PYTHON_COMPAT=( python2_7 )
+inherit distutils-r1 eutils
+
+DESCRIPTION="X Persistent Remote Apps (xpra) and Partitioning WM (parti) based on wimpiggy"
+HOMEPAGE="http://xpra.org/ http://xpra.org/src/"
+SRC_URI="http://xpra.org/src/${P}.tar.xz"
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+client +clipboard csc dec_av dec_av2 libav opengl pulseaudio +rencode server sound vpx webp x264 x265"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ clipboard? ( || ( server client ) )
+ opengl? ( client )
+ || ( client server )"
+
+# x264/old-libav.path situation see bug 459218
+COMMON_DEPEND=""${PYTHON_DEPS}"
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ dev-python/pygtk:2[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libXtst
+ csc? (
+ !libav? ( >=media-video/ffmpeg-1.2.2:0= )
+ libav? ( media-video/libav:0= )
+ )
+ dec_av? (
+ !libav? ( >=media-video/ffmpeg-1.2.2:0= )
+ libav? ( media-video/libav:0= )
+ )
+ dec_av2? (
+ !libav? ( >=media-video/ffmpeg-2:0= )
+ libav? ( media-video/libav:0= )
+ )
+ opengl? ( dev-python/pygtkglext )
+ pulseaudio? ( media-sound/pulseaudio )
+ sound? ( media-libs/gstreamer:0.10
+ media-libs/gst-plugins-base:0.10
+ dev-python/gst-python:0.10 )
+ vpx? ( media-libs/libvpx virtual/ffmpeg )
+ webp? ( media-libs/libwebp )
+ x264? ( media-libs/x264
+ !libav? ( >=media-video/ffmpeg-1.0.4:0= )
+ libav? ( media-video/libav:0= )
+ )
+ x265? ( media-libs/x265
+ !libav? ( >=media-video/ffmpeg-2:0= )
+ libav? ( media-video/libav:0= )
+ )"
+
+RDEPEND="${COMMON_DEPEND}
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ virtual/python-imaging[${PYTHON_USEDEP}]
+ virtual/ssh
+ x11-apps/setxkbmap
+ x11-apps/xmodmap
+ server? ( x11-base/xorg-server[-minimal,xvfb]
+ x11-drivers/xf86-input-void
+ x11-drivers/xf86-video-dummy
+ )"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+ >=dev-python/cython-0.16[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ epatch \
+ "${FILESDIR}"/${PN}-0.13.1-ignore-gentoo-no-compile.patch \
+ "${FILESDIR}"/${PN}-0.14.0-prefix.patch
+
+ if use libav ; then
+ if ! has_version ">=media-video/libav-9" ; then
+ epatch patches/old-libav.patch
+ fi
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ mydistutilsargs=(
+ $(use_with client)
+ $(use_with clipboard)
+ $(use_with csc csc_swscale)
+ $(use_with dec_av dec_avcodec)
+ $(use_with dec_av2 dec_avcodec2)
+ $(use_with opengl)
+ $(use_with rencode)
+ $(use_with server cymaths)
+ $(use_with server shadow)
+ $(use_with server)
+ $(use_with sound)
+ $(use_with vpx)
+ $(use_with webp)
+ $(use_with x264 enc_x264)
+ $(use_with x265 enc_x265)
+ --with-Xdummy
+ --with-argb
+ --with-cyxor
+ --with-gtk2
+ --without-gtk3
+ --without-qt4
+ --with-strict
+ --with-warn
+ --with-x11
+ --without-PIC
+ --without-debug )
+}
diff --git a/x11-wm/xpra/xpra-0.15.3.ebuild b/x11-wm/xpra/xpra-0.15.3.ebuild
new file mode 100644
index 00000000000..9e66d3b6269
--- /dev/null
+++ b/x11-wm/xpra/xpra-0.15.3.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+EAPI=5
+
+# PyCObject_Check and PyCObject_AsVoidPtr vanished with python 3.3, and setup.py not python3.2 copmat
+PYTHON_COMPAT=( python2_7 )
+inherit distutils-r1 eutils
+
+DESCRIPTION="X Persistent Remote Apps (xpra) and Partitioning WM (parti) based on wimpiggy"
+HOMEPAGE="http://xpra.org/ http://xpra.org/src/"
+SRC_URI="http://xpra.org/src/${P}.tar.xz"
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+client +clipboard csc cups dec_av2 libav opengl pulseaudio server sound vpx webp x264 x265"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ clipboard? ( || ( server client ) )
+ opengl? ( client )
+ || ( client server )"
+
+# x264/old-libav.path situation see bug 459218
+COMMON_DEPEND=""${PYTHON_DEPS}"
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ dev-python/pygtk:2[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libXtst
+ csc? (
+ !libav? ( >=media-video/ffmpeg-1.2.2:0= )
+ libav? ( media-video/libav:0= )
+ )
+ dec_av2? (
+ !libav? ( >=media-video/ffmpeg-2:0= )
+ libav? ( media-video/libav:0= )
+ )
+ opengl? ( dev-python/pygtkglext )
+ pulseaudio? ( media-sound/pulseaudio )
+ sound? ( media-libs/gstreamer:0.10
+ media-libs/gst-plugins-base:0.10
+ dev-python/gst-python:0.10 )
+ vpx? ( media-libs/libvpx virtual/ffmpeg )
+ webp? ( media-libs/libwebp )
+ x264? ( media-libs/x264
+ !libav? ( >=media-video/ffmpeg-1.0.4:0= )
+ libav? ( media-video/libav:0= )
+ )
+ x265? ( media-libs/x265
+ !libav? ( >=media-video/ffmpeg-2:0= )
+ libav? ( media-video/libav:0= )
+ )"
+
+RDEPEND="${COMMON_DEPEND}
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/rencode[${PYTHON_USEDEP}]
+ virtual/python-imaging[${PYTHON_USEDEP}]
+ virtual/ssh
+ x11-apps/setxkbmap
+ x11-apps/xmodmap
+ server? ( x11-base/xorg-server[-minimal,xvfb]
+ x11-drivers/xf86-input-void
+ x11-drivers/xf86-video-dummy
+ )"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+ >=dev-python/cython-0.16[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ rm -rf rencode || die
+
+ epatch \
+ "${FILESDIR}"/${PN}-0.13.1-ignore-gentoo-no-compile.patch \
+ "${FILESDIR}"/${PN}-0.15.0-prefix.patch
+
+ if use libav ; then
+ if ! has_version ">=media-video/libav-9" ; then
+ epatch patches/old-libav.patch
+ fi
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ mydistutilsargs=(
+ $(use_with client)
+ $(use_with clipboard)
+ $(use_with csc csc_swscale)
+ $(use_with cups printing)
+ $(use_with dec_av2 dec_avcodec2)
+ $(use_with opengl)
+ $(use_with server shadow)
+ $(use_with server)
+ $(use_with sound)
+ $(use_with vpx)
+ $(use_with webp)
+ $(use_with x264 enc_x264)
+ $(use_with x265 enc_x265)
+ --with-Xdummy
+ --with-gtk2
+ --without-gtk3
+ --with-strict
+ --with-warn
+ --with-x11
+ --without-PIC
+ --without-debug )
+}
diff --git a/x11-wm/xpra/xpra-0.15.4.ebuild b/x11-wm/xpra/xpra-0.15.4.ebuild
new file mode 100644
index 00000000000..9e66d3b6269
--- /dev/null
+++ b/x11-wm/xpra/xpra-0.15.4.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+EAPI=5
+
+# PyCObject_Check and PyCObject_AsVoidPtr vanished with python 3.3, and setup.py not python3.2 copmat
+PYTHON_COMPAT=( python2_7 )
+inherit distutils-r1 eutils
+
+DESCRIPTION="X Persistent Remote Apps (xpra) and Partitioning WM (parti) based on wimpiggy"
+HOMEPAGE="http://xpra.org/ http://xpra.org/src/"
+SRC_URI="http://xpra.org/src/${P}.tar.xz"
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+client +clipboard csc cups dec_av2 libav opengl pulseaudio server sound vpx webp x264 x265"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ clipboard? ( || ( server client ) )
+ opengl? ( client )
+ || ( client server )"
+
+# x264/old-libav.path situation see bug 459218
+COMMON_DEPEND=""${PYTHON_DEPS}"
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ dev-python/pygtk:2[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libXtst
+ csc? (
+ !libav? ( >=media-video/ffmpeg-1.2.2:0= )
+ libav? ( media-video/libav:0= )
+ )
+ dec_av2? (
+ !libav? ( >=media-video/ffmpeg-2:0= )
+ libav? ( media-video/libav:0= )
+ )
+ opengl? ( dev-python/pygtkglext )
+ pulseaudio? ( media-sound/pulseaudio )
+ sound? ( media-libs/gstreamer:0.10
+ media-libs/gst-plugins-base:0.10
+ dev-python/gst-python:0.10 )
+ vpx? ( media-libs/libvpx virtual/ffmpeg )
+ webp? ( media-libs/libwebp )
+ x264? ( media-libs/x264
+ !libav? ( >=media-video/ffmpeg-1.0.4:0= )
+ libav? ( media-video/libav:0= )
+ )
+ x265? ( media-libs/x265
+ !libav? ( >=media-video/ffmpeg-2:0= )
+ libav? ( media-video/libav:0= )
+ )"
+
+RDEPEND="${COMMON_DEPEND}
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/rencode[${PYTHON_USEDEP}]
+ virtual/python-imaging[${PYTHON_USEDEP}]
+ virtual/ssh
+ x11-apps/setxkbmap
+ x11-apps/xmodmap
+ server? ( x11-base/xorg-server[-minimal,xvfb]
+ x11-drivers/xf86-input-void
+ x11-drivers/xf86-video-dummy
+ )"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+ >=dev-python/cython-0.16[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ rm -rf rencode || die
+
+ epatch \
+ "${FILESDIR}"/${PN}-0.13.1-ignore-gentoo-no-compile.patch \
+ "${FILESDIR}"/${PN}-0.15.0-prefix.patch
+
+ if use libav ; then
+ if ! has_version ">=media-video/libav-9" ; then
+ epatch patches/old-libav.patch
+ fi
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ mydistutilsargs=(
+ $(use_with client)
+ $(use_with clipboard)
+ $(use_with csc csc_swscale)
+ $(use_with cups printing)
+ $(use_with dec_av2 dec_avcodec2)
+ $(use_with opengl)
+ $(use_with server shadow)
+ $(use_with server)
+ $(use_with sound)
+ $(use_with vpx)
+ $(use_with webp)
+ $(use_with x264 enc_x264)
+ $(use_with x265 enc_x265)
+ --with-Xdummy
+ --with-gtk2
+ --without-gtk3
+ --with-strict
+ --with-warn
+ --with-x11
+ --without-PIC
+ --without-debug )
+}